
QGIS Application - Bug report #4176

Cannot edit 3D PostGIS table in QGIS

2011-08-15 03:54 PM - Paul Ramsey

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14152

Description

Load a 3D shapefile into PostGIS using shp2pgsql. This will result in a table with a constraint on the number of geometry dimensions ==

3. Now fire up QGIS, look at they layer (renders right!) start editing (starts!) add a new feature (add!), and then save your edits (uh oh!).

The new geometry does not appear to be 3D, so it fails the table constraint and the edits cannot be saved.

History

#1 - 2011-08-15 04:00 PM - Paul Ramsey

This is true for adding new features and also for moving existing vertices and moving existing features. Implies that the dimensions are being stripped at

some point in the chain.

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-06-04 02:10 PM - Jürgen Fischer

- Category changed from Data Provider to Data Provider/PostGIS

#7 - 2016-03-22 05:47 AM - Hugo Mercier

This should have been fixed in 2.14.

#8 - 2016-03-28 02:57 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

2025-03-13 1/1


